> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/version/versionusdupdate.md).

# Version$update

### Version$<mark style="color:purple;">update</mark>(*label=NULL, release\_notes=NULL*) → self

Update attributes on a version.

### **Parameters:**

**`label` :&#x20;*****str, default NULL*** \
If specified, will set the user-specified label for the version. This label is currently only visible in the API, and is distinct from the version tag. To unset the label, provide an empty string.

**`release_notes` :&#x20;*****str, default NULL***\
Release notes for the version, up to 5000 characters. To unset the release notes, provide an empty string.

### **Returns:**&#x20;

**self (a** [**Version**](/api/client-libraries/redivis-r/reference/version.md)**)**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/version/versionusdupdate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
